Can't open http://openhab link

I can confirm, openHAB just runs fine on Ubuntu.
My productive system runs on Ubuntu 16.04 LTS on Intel NUC and I have several virtual machines with Ubuntu 18.04, 19.04 and 20.04LTS on my Proliant server, no issues.

I did not find any prerequisites for the use of openHABian on RPi3. At least in the instruction (openHABian | openHAB) they are not. Can you tell me what prerequisites should be met to use openHABian image on RPi3 out the box?

I can now record the image on a flash drive, turn on RPI - and show you that nothing works.
Moreover, I can give you direct access via IPv6 to this raspberry - and you will see that nothing works out of the box.

WOW! This is exactly what I need!
Please tell me what and in what sequence I need to install on Ubuntu 16.04 so that the openHAB2 is installed and working correctly?

Okay, start from the beginning

Install Ubuntu on your HP, still would advise to use 20.04LTS
Second, Install Azul Java 8 (Zulu-8)
Read the openHAB docs for packet installation on Linux, add the repositorys to your system.
Apt-get install openHAB2
Start and give it some time to finish downloading necessary packages.
open ip-of-your-hp:8080 to get to the dashboard.
Chose package to install, recommended is standard.
Give it some Time to download further packages.
Opening the dashboard again should now show you PaperUI

Sorry, it’s in the debug guide. Link see my post #22 .

Tough cookie. :roll_eyes: I just tested it for you:

  • I did install ubuntu 16.04 (32bit) on a virtual machine
  • after that i’ve installed openhabian as mentioned here: openHABian | openHAB (simple way with openhabian-config unattended)
  • Dashboard starts and asks me what i want to do. Select standard and wait a bit

And voilá:

In conclusion:
There’s no problem with openhabian in combination with Ubuntu.
Neither is with Raspberry since i did this a couple of times already and probably 80% of the users running openHAB
There must be something wrong with your system at all or you didn’t follow the steps above

And if you accidentally skipped the initial setup, don’t worry:

QIP Shot - Screen 273

I installed Ubuntu 16.04.
I unpacked and screwed Zulu-8.
Did as you write - the result you see.
What am I doing wrong?

Now trying this method:

Because this

not work for me.

I let Openhabian install zulu.
And did you try running it with sudo?

How I can do this?

QIP Shot - Screen 276

so, what am I doing wrong?

The unattended mode takes care about it

Look at screens. Not work at all.

I do not understand russian, so can you please translate the line starting with usr/local/bin/openhabian-config: ......42: /etc/openhabian.conf: ....... I think that is telling why it won’t work

Secondly, if you read the documentation it says:

If the unattended installation does not work out, you can still try the openHABian configuration tool in interactive mode: openhabian-config

You’ll get to see the openHABian configuration menu. Start at least with the menu options 11 and 12, then the “Manual/Fresh Setup” submenu entry is the right place for you. Mark all components / actions you think to be of value and execute them in one go to get the full openHABian experience.

I would say on your system there is no file that is called /boot/installer-config.txt .
In unattended mode this file is expected.
I assume that this is not a Pi ?

This is the code that is being executed:

  if [ -f "$CONFIGFILE" ]; then
    echo -n "$(timestamp) [openHABian] Loading configuration file '$CONFIGFILE'... "
  elif [ ! -f "$CONFIGFILE" ] && [ -f /boot/installer-config.txt ]; then
    echo -n "$(timestamp) [openHABian] Copying and loading configuration file '$CONFIGFILE'... "
    cp /boot/installer-config.txt "$CONFIGFILE"
  elif [ ! -f "$CONFIGFILE" ] && [ -n "$UNATTENDED" ]; then
    echo "$(timestamp) [openHABian] Error in unattended mode: Configuration file '$CONFIGFILE' not found... FAILED" 1>&2
    exit 1
  else
    echo -n "$(timestamp) [openHABian] Setting up and loading configuration file '$CONFIGFILE' in manual setup... "
    question="Welcome to openHABian!\\n\\nPlease provide the name of your Linux user i.e. the account you normally log in with.\\nTypical user names are 'pi' or 'ubuntu'."
    input=$(whiptail --title "openHABian Configuration Tool - Manual Setup" --inputbox "$question" 15 80 3>&1 1>&2 2>&3)
    if ! id -u "$input" &>/dev/null; then
      echo "FAILED"
      echo "$(timestamp) [openHABian] Error: The provided user name is not a valid system user. Please try again. Exiting ..." 1>&2
      exit 1
    fi
    cp "$BASEDIR"/openhabian.conf.dist "$CONFIGFILE"
    sed -i "s/username=.*/username=$input/g" "$CONFIGFILE"
  fi

usr/local/bin/openhabian-config: line 42: /etc/openhabian.conf: no such file

During installation of frontail its being checked if npm is installed.
I think either the command

npm

or the command

npm list -g|head -n 1

returned this error message.

What I can see is that a (lot of?) depencies aren’t met.

But first things first. What did you do to get this error message (screenshot)?
Did you run openhabian-config without any parameters (interactive mode) or is this the apt-get install openhab2?

I think we have to get a few step back, well let’s start over:

  • What kind of hardware are you running at the moment?
  • What version of OS are you running? Better if possible, begin with a clean install
  • Is your internet connecting working? (Is DNS properly configured, etc?)
  • if all above are ready, let’s install openhabian (not openHAB!) and let it do the rest

Installing openhabian

sudo apt update && apt install git
sudo git clone -b stable GitHub - openhab/openhabian: openHABian - empowering the smart home, for Raspberry Pi and Debian systems /opt/openhabian
sudo ln -s /opt/openhabian/openhabian-setup.sh /usr/local/bin/openhabian-config

sudo openhabian-config

  • Then when it ask about the username, give the username you want openhab to run (it must exist).
  • Select I agree
  • Select last option: Manual/Fresh Setup
  • Select at least 62 63 and 64

And this should install openhab. Please if there is any error, let us know, but try to translate it in english if it is russian.